package net.micode.notes.ui;

import android.content.Context;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.PopupMenu;
import android.widget.PopupMenu.OnMenuItemClickListener;

import net.micode.notes.R;
/**
 * @Package:        net.micode.notes.ui
 * @ClassName:      DropdownMenu
 * @Description:
 * DropdownMenu是一个自定义下拉菜单控件。
 * 它使用Button作为触发器，通过PopupMenu显示菜单选项。
 * 构造函数接收一个上下文环境、一个Button和菜单资源的ID。
 * 通过setOnDropdownMenuItemClickListener方法设置菜单选项的点击监听器。
 * 可以通过findItem方法查找特定的菜单选项。
 * 通过setTitle方法设置下拉菜单的标题
 * @Author:         YangYizhe
 * @CreateDate:     12/21/2023 12:36 AM
 * @Version:        1.0
 */
public class DropdownMenu {
    private Button mButton;
    private PopupMenu mPopupMenu;
    //声明一个下拉菜单
    private Menu mMenu;

    public DropdownMenu(Context context, Button button, int menuId) {
        mButton = button;
        mButton.setBackgroundResource(R.drawable.dropdown_icon);
        //设置这个view的背景
        mPopupMenu = new PopupMenu(context, mButton);
        mMenu = mPopupMenu.getMenu();
        mPopupMenu.getMenuInflater().inflate(menuId, mMenu);
        //MenuInflater是用来实例化Menu目录下的Menu布局文件
        //根据ID来确认menu的内容选项
        mButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                mPopupMenu.show();
            }
        });
    }

    public void setOnDropdownMenuItemClickListener(OnMenuItemClickListener listener) {
        if (mPopupMenu != null) {
            mPopupMenu.setOnMenuItemClickListener(listener);
        }
    }

    public MenuItem findItem(int id) {
        return mMenu.findItem(id);
    }//对于菜单选项的初始化，根据索引搜索菜单需要的选项

    public void setTitle(CharSequence title) {
        mButton.setText(title);
    }//布局文件，设置标题
}